[tox]
envlist = flake8,isort,yapf,pylint,build,docs,robot-lint,robot

[depversions]
flake8 = 3.7.9
flake8-quotes = 3.2.0
isort = 4.3.21
yapf = 0.29.0
pylint = 2.4.4
sphinx_rtd_theme = 0.4.3
robotframework = 3.1.2
twine = 3.1.1

[testenv:flake8]
deps =
    flake8=={[depversions]flake8}
    flake8-quotes=={[depversions]flake8-quotes}
skip_install = True
commands = {envbindir}/flake8
sitepackages = true

[testenv:isort]
deps =
    isort=={[depversions]isort}
commands = {envbindir}/isort -rc -c -df
sitepackages = true

[testenv:isort-apply]
deps =
    isort=={[depversions]isort}
commands = {envbindir}/isort -rc -y
sitepackages = true

[testenv:yapf]
deps =
    yapf=={[depversions]yapf}
skip_install = True
commands = {envbindir}/yapf -d -r .
sitepackages = true

[testenv:yapf-apply]
deps =
    yapf=={[depversions]yapf}
skip_install = True
commands = {envbindir}/yapf -i -r .
sitepackages = true

[testenv:pylint]
deps =
    pylint=={[depversions]pylint}
commands = {envbindir}/pylint \
    {envsitepackagesdir}/satnogsclient
sitepackages = true

[testenv:build]
skip_install = True
commands =
    python setup.py sdist bdist_wheel
sitepackages = true

[testenv:upload]
deps =
    twine=={[depversions]twine}
skip_install = True
commands =
    python setup.py sdist bdist_wheel
    {envbindir}/twine upload -u "{env:PYPI_USERNAME}" -p "{env:PYPI_PASSWORD}" dist/*
sitepackages = true

[testenv:docs]
deps =
    sphinx_rtd_theme=={[depversions]sphinx_rtd_theme}
changedir = {toxinidir}/docs
commands =
    {envbindir}/sphinx-build -b html . "_build/html"
sitepackages = true

[testenv:robot-lint]
deps =
    robotframework=={[depversions]robotframework}
skip_install = True
changedir = {toxinidir}/robot
commands = {toxinidir}/contrib/robot_lint.sh

[testenv:robot]
deps =
    robotframework=={[depversions]robotframework}
changedir = {toxinidir}/robot
commands = python -m robot -d output testsuites
sitepackages = true
